Loading...
Searching...
No Matches
itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet > Class Template Reference

`#include <itkMissingStructurePenalty.h>`

## Detailed Description

template<class TFixedPointSet, class TMovingPointSet>
class itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >

Computes the (pseudo) volume of the transformed surface mesh of a structure.
.

Author
  F.F. Berendsen, Image Sciences Institute, UMC Utrecht, The Netherlands

Note
  If you use the MissingStructurePenalty anywhere we would appreciate if you cite the following article:
  F.F. Berendsen, A.N.T.J. Kotte, A.A.C. de Leeuw, I.M. Juergenliemk-Schulz,
  M.A. Viergever and J.P.W. Pluim "Registration of structurally dissimilar \n images in MRI-based brachytherapy ", Phys. Med. Biol. 59 (2014) 4033-4045.
  http://stacks.iop.org/0031-9155/59/4033

Definition at line 44 of file itkMissingStructurePenalty.h.

Inheritance diagram for itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >:
[legend]

## Public Types

using | CellInterfaceType = typename MeshTraitsType::CellType
using | ConstPointer = SmartPointer<const Self>
using | CoordRepType = typename OutputPointType::CoordRepType
using | DerivativeValueType
using | DummyMeshPixelType = unsigned char
using | FixedMeshConstPointer = typename FixedMeshType::ConstPointer
using | FixedMeshContainerConstPointer = typename FixedMeshContainerType::ConstPointer
using | FixedMeshContainerElementIdentifier = typename FixedMeshContainerType::ElementIdentifier
using | FixedMeshContainerPointer = typename FixedMeshContainerType::Pointer
using | FixedMeshContainerType = VectorContainer<MeshIdType, FixedMeshConstPointer>
using | FixedMeshPointer = typename FixedMeshType::Pointer
using | FixedMeshPointIdentifier = typename FixedMeshType::PointIdentifier
using | FixedMeshType = Mesh<DummyMeshPixelType, FixedPointSetDimension, MeshTraitsType>
using | InputPointType
using | MappedMeshContainerConstPointer = typename MappedMeshContainerType::ConstPointer
using | MappedMeshContainerPointer = typename MappedMeshContainerType::Pointer
using | MappedMeshContainerType = VectorContainer<MeshIdType, FixedMeshPointer>
using | MeshIdType = unsigned int
using | MeshPointDataContainerConstIteratorType = typename FixedMeshType::PointDataContainerIterator
using | MeshPointDataContainerConstPointer = typename FixedMeshType::PointDataContainerConstPointer
using | MeshPointDataContainerIteratorType = typename MeshPointDataContainerType::Iterator
using | MeshPointDataContainerPointer = typename FixedMeshType::PointDataContainerPointer
using | MeshPointDataContainerType = typename FixedMeshType::PointDataContainer
using | MeshPointsContainerConstIteratorType = typename FixedMeshType::PointsContainerConstIterator
using | MeshPointsContainerConstPointer = typename MeshPointsContainerType::ConstPointer
using | MeshPointsContainerIteratorType = typename FixedMeshType::PointsContainerIterator
using | MeshPointsContainerPointer = typename MeshPointsContainerType::Pointer
using | MeshPointsContainerType = typename FixedMeshType::PointsContainer
using | MeshPointsDerivativeValueType = Array<DerivativeValueType>
using | MeshPointType = typename FixedMeshType::PointType
using | MeshTraitsType
using | NonZeroJacobianIndicesType
using | OutputPointType
using | Pointer = SmartPointer<Self>
using | Self = MissingVolumeMeshPenalty
using | SubVectorType = itk::Vector<typename VectorType::ValueType, FixedPointSetDimension - 1>
using | Superclass = SingleValuedPointSetToPointSetMetric<TFixedPointSet, TMovingPointSet>
using | TransformJacobianType
using | TransformParametersType
using | TransformPointer
using | TransformType
using | VectorConstPointer = typename VectorType::const_pointer
using | VectorType = typename FixedMeshType::PointType::VectorType
using | VnlVectorType = vnl_vector<CoordRepType>
Public Types inherited from itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >
using | ConstPointer = SmartPointer<const Self>
using | CoordinateRepresentationType = Superclass::ParametersValueType
using | DerivativeValueType = typename DerivativeType::ValueType
using | FixedImageMaskConstPointer = typename FixedImageMaskType::ConstPointer
using | FixedImageMaskPointer = typename FixedImageMaskType::Pointer
using | FixedImageMaskType = ImageMaskSpatialObject<Self::FixedPointSetDimension>
using | FixedPointSetConstPointer = typename FixedPointSetType::ConstPointer
using | FixedPointSetPixelType = typename FixedPointSetType::PixelType
using | FixedPointSetType = TFixedPointSet
using | InputPointType = typename TransformType::InputPointType
using | MovingImageMaskConstPointer = typename MovingImageMaskType::ConstPointer
using | MovingImageMaskPointer = typename MovingImageMaskType::Pointer
using | MovingImageMaskType = ImageMaskSpatialObject<Self::MovingPointSetDimension>
using | MovingPointSetConstPointer = typename MovingPointSetType::ConstPointer
using | MovingPointSetPixelType = typename MovingPointSetType::PixelType
using | MovingPointSetType = TMovingPointSet
using | NonZeroJacobianIndicesType = typename TransformType::NonZeroJacobianIndicesType
using | OutputPointType = typename TransformType::OutputPointType
using | PointDataIterator = typename FixedPointSetType::PointDataContainer::ConstIterator
using | Pointer = SmartPointer<Self>
using | PointIterator = typename FixedPointSetType::PointsContainer::ConstIterator
using | Self = SingleValuedPointSetToPointSetMetric
using | Superclass = SingleValuedCostFunction
using | TransformJacobianType = typename TransformType::JacobianType
using | TransformParametersType = typename TransformType::ParametersType
using | TransformPointer = typename TransformType::Pointer
using | TransformType

## Public Member Functions

virtual const char * | GetClassName () const
void | GetDerivative (const TransformParametersType &parameters, DerivativeType &Derivative) const override
virtual const FixedMeshContainerType * | GetFixedMeshContainer ()
MeasureType | GetValue (const TransformParametersType &parameters) const override
void | GetValueAndDerivative (const TransformParametersType &parameters, MeasureType &Value, DerivativeType &Derivative) const override
void | Initialize () override
| ITK_DISALLOW_COPY_AND_MOVE (MissingVolumeMeshPenalty)
| itkGetModifiableObjectMacro (MappedMeshContainer, MappedMeshContainerType)
| itkStaticConstMacro (FixedPointSetDimension, unsigned int, Superclass::FixedPointSetDimension)
| itkStaticConstMacro (MovingPointSetDimension, unsigned int, Superclass::MovingPointSetDimension)
virtual void | SetFixedMeshContainer (const FixedMeshContainerType *_arg)
virtual void | SetMappedMeshContainer (MappedMeshContainerType *_arg)
Public Member Functions inherited from itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >
virtual void | BeforeThreadedGetValueAndDerivative (const TransformParametersType &parameters) const
virtual const FixedImageMaskType * | GetFixedImageMask ()
virtual const FixedPointSetType * | GetFixedPointSet ()
virtual const MovingImageMaskType * | GetMovingImageMask ()
virtual const MovingPointSetType * | GetMovingPointSet ()
unsigned int | GetNumberOfParameters () const override
virtual const TransformType * | GetTransform ()
virtual const bool & | GetUseMetricSingleThreaded ()
| ITK_DISALLOW_COPY_AND_MOVE (SingleValuedPointSetToPointSetMetric)
| itkStaticConstMacro (FixedPointSetDimension, unsigned int, TFixedPointSet::PointDimension)
| itkStaticConstMacro (MovingPointSetDimension, unsigned int, TMovingPointSet::PointDimension)
virtual void | SetFixedImageMask (const FixedImageMaskType *_arg)
virtual void | SetFixedPointSet (const FixedPointSetType *_arg)
virtual void | SetMovingImageMask (const MovingImageMaskType *_arg)
virtual void | SetMovingPointSet (const MovingPointSetType *_arg)
virtual void | SetTransform (TransformType *_arg)
void | SetTransformParameters (const ParametersType &parameters) const
virtual void | SetUseMetricSingleThreaded (bool _arg)
virtual void | UseMetricSingleThreadedOff ()
virtual void | UseMetricSingleThreadedOn ()

## Static Public Member Functions

static Pointer | New ()

## Protected Member Functions

| MissingVolumeMeshPenalty ()
| ~MissingVolumeMeshPenalty () override=default
Protected Member Functions inherited from itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >
void | PrintSelf (std::ostream &os, Indent indent) const override
| SingleValuedPointSetToPointSetMetric ()=default
| ~SingleValuedPointSetToPointSetMetric () override=default

## Protected Attributes

FixedMeshConstPointer | m_FixedMesh {}
FixedMeshContainerConstPointer | m_FixedMeshContainer {}
MappedMeshContainerPointer | m_MappedMeshContainer {}
Protected Attributes inherited from itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >
FixedImageMaskConstPointer | m_FixedImageMask { nullptr }
FixedPointSetConstPointer | m_FixedPointSet { nullptr }
MovingImageMaskConstPointer | m_MovingImageMask { nullptr }
MovingPointSetConstPointer | m_MovingPointSet { nullptr }
unsigned int | m_NumberOfPointsCounted { 0 }
TransformPointer | m_Transform { nullptr }
bool | m_UseMetricSingleThreaded { true }

## Private Member Functions

void | SubVector (const VectorType &fullVector, SubVectorType &subVector, const unsigned int leaveOutIndex) const

## Member Typedef Documentation

## CellInterfaceType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::CellInterfaceType = typename MeshTraitsType::CellType

Definition at line 94 of file itkMissingStructurePenalty.h.

## ConstPointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::ConstPointer = SmartPointer<const Self>

Definition at line 54 of file itkMissingStructurePenalty.h.

## CoordRepType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::CoordRepType = typename OutputPointType::CoordRepType

Definition at line 76 of file itkMissingStructurePenalty.h.

## DerivativeValueType

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::DerivativeValueType

Definition at line 111 of file itkSingleValuedPointSetToPointSetMetric.h.

## DummyMeshPixelType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::DummyMeshPixelType = unsigned char

Typedefs.

Definition at line 86 of file itkMissingStructurePenalty.h.

## FixedMeshConstPointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::FixedMeshConstPointer = typename FixedMeshType::ConstPointer

Definition at line 92 of file itkMissingStructurePenalty.h.

## FixedMeshContainerConstPointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::FixedMeshContainerConstPointer = typename FixedMeshContainerType::ConstPointer

Definition at line 117 of file itkMissingStructurePenalty.h.

## FixedMeshContainerElementIdentifier

template<class TFixedPointSet, class TMovingPointSet>

using itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::FixedMeshContainerElementIdentifier = typename FixedMeshContainerType::ElementIdentifier

Definition at line 118 of file itkMissingStructurePenalty.h.

## FixedMeshContainerPointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::FixedMeshContainerPointer = typename FixedMeshContainerType::Pointer

Definition at line 116 of file itkMissingStructurePenalty.h.

## FixedMeshContainerType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::FixedMeshContainerType = VectorContainer<MeshIdType, FixedMeshConstPointer>

Definition at line 115 of file itkMissingStructurePenalty.h.

## FixedMeshPointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::FixedMeshPointer = typename FixedMeshType::Pointer

Definition at line 93 of file itkMissingStructurePenalty.h.

## FixedMeshPointIdentifier

template<class TFixedPointSet, class TMovingPointSet>

using itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::FixedMeshPointIdentifier = typename FixedMeshType::PointIdentifier

Definition at line 90 of file itkMissingStructurePenalty.h.

## FixedMeshType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::FixedMeshType = Mesh<DummyMeshPixelType, FixedPointSetDimension, MeshTraitsType>

Definition at line 89 of file itkMissingStructurePenalty.h.

## InputPointType

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::InputPointType

Definition at line 96 of file itkSingleValuedPointSetToPointSetMetric.h.

## MappedMeshContainerConstPointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::MappedMeshContainerConstPointer = typename MappedMeshContainerType::ConstPointer

Definition at line 122 of file itkMissingStructurePenalty.h.

## MappedMeshContainerPointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::MappedMeshContainerPointer = typename MappedMeshContainerType::Pointer

Definition at line 121 of file itkMissingStructurePenalty.h.

## MappedMeshContainerType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::MappedMeshContainerType = VectorContainer<MeshIdType, FixedMeshPointer>

Definition at line 120 of file itkMissingStructurePenalty.h.

## MeshIdType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::MeshIdType = unsigned int

Definition at line 114 of file itkMissingStructurePenalty.h.

## MeshPointDataContainerConstIteratorType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::MeshPointDataContainerConstIteratorType = typename FixedMeshType::PointDataContainerIterator

Definition at line 111 of file itkMissingStructurePenalty.h.

## MeshPointDataContainerConstPointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::MeshPointDataContainerConstPointer = typename FixedMeshType::PointDataContainerConstPointer

Definition at line 108 of file itkMissingStructurePenalty.h.

## MeshPointDataContainerIteratorType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::MeshPointDataContainerIteratorType = typename MeshPointDataContainerType::Iterator

Definition at line 112 of file itkMissingStructurePenalty.h.

## MeshPointDataContainerPointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::MeshPointDataContainerPointer = typename FixedMeshType::PointDataContainerPointer

Definition at line 109 of file itkMissingStructurePenalty.h.

## MeshPointDataContainerType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::MeshPointDataContainerType = typename FixedMeshType::PointDataContainer

Definition at line 107 of file itkMissingStructurePenalty.h.

## MeshPointsContainerConstIteratorType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::MeshPointsContainerConstIteratorType = typename FixedMeshType::PointsContainerConstIterator

Definition at line 104 of file itkMissingStructurePenalty.h.

## MeshPointsContainerConstPointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::MeshPointsContainerConstPointer = typename MeshPointsContainerType::ConstPointer

Definition at line 103 of file itkMissingStructurePenalty.h.

## MeshPointsContainerIteratorType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::MeshPointsContainerIteratorType = typename FixedMeshType::PointsContainerIterator

Definition at line 105 of file itkMissingStructurePenalty.h.

## MeshPointsContainerPointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::MeshPointsContainerPointer = typename MeshPointsContainerType::Pointer

Definition at line 102 of file itkMissingStructurePenalty.h.

## MeshPointsContainerType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::MeshPointsContainerType = typename FixedMeshType::PointsContainer

Definition at line 101 of file itkMissingStructurePenalty.h.

## MeshPointsDerivativeValueType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::MeshPointsDerivativeValueType = Array<DerivativeValueType>

Definition at line 124 of file itkMissingStructurePenalty.h.

## MeshPointType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::MeshPointType = typename FixedMeshType::PointType

Definition at line 96 of file itkMissingStructurePenalty.h.

## MeshTraitsType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::MeshTraitsType

Initial value:
DefaultStaticMeshTraits<DummyMeshPixelType, FixedPointSetDimension, FixedPointSetDimension, CoordRepType>

Definition at line 87 of file itkMissingStructurePenalty.h.

## NonZeroJacobianIndicesType

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::NonZeroJacobianIndicesType

Typedefs for support of sparse Jacobians and compact support of transformations.

Definition at line 115 of file itkSingleValuedPointSetToPointSetMetric.h.

## OutputPointType

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::OutputPointType

Definition at line 97 of file itkSingleValuedPointSetToPointSetMetric.h.

## Pointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::Pointer = SmartPointer<Self>

Definition at line 53 of file itkMissingStructurePenalty.h.

## Self

template<class TFixedPointSet, class TMovingPointSet>

using itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::Self = MissingVolumeMeshPenalty

Standard class typedefs.

Definition at line 51 of file itkMissingStructurePenalty.h.

## SubVectorType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::SubVectorType = itk::Vector<typename VectorType::ValueType, FixedPointSetDimension - 1>

Definition at line 99 of file itkMissingStructurePenalty.h.

## Superclass

template<class TFixedPointSet, class TMovingPointSet>

using itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::Superclass = SingleValuedPointSetToPointSetMetric<TFixedPointSet, TMovingPointSet>

Definition at line 52 of file itkMissingStructurePenalty.h.

## TransformJacobianType

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::TransformJacobianType

Definition at line 99 of file itkSingleValuedPointSetToPointSetMetric.h.

## TransformParametersType

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::TransformParametersType

Definition at line 98 of file itkSingleValuedPointSetToPointSetMetric.h.

## TransformPointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::TransformPointer

Definition at line 95 of file itkSingleValuedPointSetToPointSetMetric.h.

## TransformType

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::TransformType

More typedefs.

Definition at line 93 of file itkSingleValuedPointSetToPointSetMetric.h.

## VectorConstPointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::VectorConstPointer = typename VectorType::const_pointer

Definition at line 98 of file itkMissingStructurePenalty.h.

## VectorType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::VectorType = typename FixedMeshType::PointType::VectorType

Definition at line 97 of file itkMissingStructurePenalty.h.

## VnlVectorType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::VnlVectorType = vnl_vector<CoordRepType>

Definition at line 77 of file itkMissingStructurePenalty.h.

## Constructor & Destructor Documentation

## MissingVolumeMeshPenalty()

template<class TFixedPointSet, class TMovingPointSet>

itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::MissingVolumeMeshPenalty | ( |  | ) |

protected

## ~MissingVolumeMeshPenalty()

template<class TFixedPointSet, class TMovingPointSet>

itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::~MissingVolumeMeshPenalty | ( |  | ) |

override protected default

## Member Function Documentation

## GetClassName()

template<class TFixedPointSet, class TMovingPointSet>

virtual const char * itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >.

Reimplemented in elastix::MissingStructurePenalty< TElastix >.

## GetDerivative()

template<class TFixedPointSet, class TMovingPointSet>

void itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::GetDerivative | ( | const TransformParametersType & | parameters,
|  | DerivativeType & | Derivative ) const

override

Get the derivatives of the match measure.

## GetFixedMeshContainer()

template<class TFixedPointSet, class TMovingPointSet>

virtual const FixedMeshContainerType * itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::GetFixedMeshContainer | ( |  | ) |

virtual

## GetValue()

template<class TFixedPointSet, class TMovingPointSet>

MeasureType itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::GetValue | ( | const TransformParametersType & | parameters | ) | const

override

Set the fixed mask. Get the fixed mask. Get the value for single valued optimizers.

## GetValueAndDerivative()

template<class TFixedPointSet, class TMovingPointSet>

void itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::GetValueAndDerivative | ( | const TransformParametersType & | parameters,
|  | MeasureType & | Value,
|  | DerivativeType & | Derivative ) const

override

Get value and derivatives for multiple valued optimizers.

## Initialize()

template<class TFixedPointSet, class TMovingPointSet>

void itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::Initialize | ( |  | ) |

override virtual

Initialize the Metric by making sure that all the components are present and plugged together correctly.

Reimplemented from itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >.

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TFixedPointSet, class TMovingPointSet>

itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::ITK_DISALLOW_COPY_AND_MOVE | ( | MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet > |  | ) |

## itkGetModifiableObjectMacro()

template<class TFixedPointSet, class TMovingPointSet>

itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::itkGetModifiableObjectMacro | ( | MappedMeshContainer | ,
|  | MappedMeshContainerType | )

## itkStaticConstMacro() [1/2]

template<class TFixedPointSet, class TMovingPointSet>

itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::itkStaticConstMacro | ( | FixedPointSetDimension | ,
|  | unsigned int | ,
|  | Superclass::FixedPointSetDimension | )

Constants for the pointset dimensions.

## itkStaticConstMacro() [2/2]

template<class TFixedPointSet, class TMovingPointSet>

itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::itkStaticConstMacro | ( | MovingPointSetDimension | ,
|  | unsigned int | ,
|  | Superclass::MovingPointSetDimension | )

## New()

template<class TFixedPointSet, class TMovingPointSet>

Pointer itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::New | ( |  | ) |

static

Type used for representing point components Method for creation through the object factory.

## SetFixedMeshContainer()

template<class TFixedPointSet, class TMovingPointSet>

virtual void itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::SetFixedMeshContainer | ( | const FixedMeshContainerType * | _arg | ) |

virtual

## SetMappedMeshContainer()

template<class TFixedPointSet, class TMovingPointSet>

virtual void itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::SetMappedMeshContainer | ( | MappedMeshContainerType * | _arg | ) |

virtual

## SubVector()

template<class TFixedPointSet, class TMovingPointSet>

void itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::SubVector | ( | const VectorType & | fullVector,
|  | SubVectorType & | subVector,
|  | const unsigned int | leaveOutIndex ) const

private

## Field Documentation

## m_FixedMesh

template<class TFixedPointSet, class TMovingPointSet>

FixedMeshConstPointer itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::m_FixedMesh {}

protected

PrintSelf. Member variables.

Definition at line 167 of file itkMissingStructurePenalty.h.

## m_FixedMeshContainer

template<class TFixedPointSet, class TMovingPointSet>

FixedMeshContainerConstPointer itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::m_FixedMeshContainer {}

mutable protected

Definition at line 169 of file itkMissingStructurePenalty.h.

## m_MappedMeshContainer

template<class TFixedPointSet, class TMovingPointSet>

MappedMeshContainerPointer itk::MissingVolumeMeshPenalty< TFixedPointSet, TMovingPointSet >::m_MappedMeshContainer {}

mutable protected

Definition at line 170 of file itkMissingStructurePenalty.h.

Generated on 1768596610 for elastix by 1.15.0 |